---
sidebar_position: 3
description: Get list of published objects. and other functions to work with Yandex Disk in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Yandex Disk]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get list of published objects.
 Gets a list of published objects



`Function GetPublishedObjectsList(Val Token, Val Count = 0, Val OffsetFromStart = 0) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Count | --amount | Number | &#x2716; | Number of returned objects |
  | OffsetFromStart | --offset | Number | &#x2716; | Offset for getting objects not from the beginning of the list |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Yandex



```bsl title="1C:Enterprise/OneScript code example"
    Token           = "y0__xCOranuBRj1uTsgs8z_iRV...";
    Count           = 2;
    OffsetFromStart = 1;

    Result = OPI_YandexDisk.GetPublishedObjectsList(Token, Count, OffsetFromStart);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint yadisk GetPublishedObjectsList \
             --token "***" \
             --amount 2 \
             --offset 1
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint yadisk GetPublishedObjectsList ^
             --token "***" ^
             --amount 2 ^
             --offset 1
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "limit": 2,
 "offset": 1,
 "items": []
}
```
